RagTime5StructManager::GObjPropFieldParser Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RagTime5StructManager::GObjPropFieldParser Struct Reference

basic parser to read image/main graphic position properties More...

`#include <RagTime5StructManager.hxx>`

Inheritance diagram for RagTime5StructManager::GObjPropFieldParser:

## Public Member Functions
| GObjPropFieldParser (std::string const &name)
| constructor More...
virtual bool | parseField (Field &field, RagTime5Zone &zone, int n, libmwaw::DebugStream &f)
| parse a field More...
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor More...
virtual | ~FieldParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseHeaderField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a header field More...

## Public Attributes
int | m_clusterId
| the id of the zone corresponding to this property (always a clust graph ?) More...
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name More...

## Detailed Description

basic parser to read image/main graphic position properties

## Constructor & Destructor Documentation

RagTime5StructManager::GObjPropFieldParser::GObjPropFieldParser | ( | std::string const & | name | ) |
| inlineexplicit

constructor

## Member Function Documentation

bool RagTime5StructManager::GObjPropFieldParser::parseField | ( | Field & | field,
|  | RagTime5Zone & | zone,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| virtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

int RagTime5StructManager::GObjPropFieldParser::m_clusterId

the id of the zone corresponding to this property (always a clust graph ?)

The documentation for this struct was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx